zenilib: zenilib/jni/external/freetype2/src/otvalid/otvalid.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
otvalid.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include "otverror.h"`
`#include <FT_INTERNAL_VALIDATE_H>`
`#include <FT_INTERNAL_STREAM_H>`

Go to the source code of this file.

## Functions

FT_BEGIN_HEADER | otv_BASE_validate (FT_Bytes table, FT_Validator valid)
| otv_GDEF_validate (FT_Bytes table, FT_Bytes gsub, FT_Bytes gpos, FT_UInt glyph_count, FT_Validator valid)
| otv_GPOS_validate (FT_Bytes table, FT_UInt glyph_count, FT_Validator valid)
| otv_GSUB_validate (FT_Bytes table, FT_UInt glyph_count, FT_Validator valid)
| otv_JSTF_validate (FT_Bytes table, FT_Bytes gsub, FT_Bytes gpos, FT_UInt glyph_count, FT_Validator valid)
| otv_MATH_validate (FT_Bytes table, FT_UInt glyph_count, FT_Validator ftvalid)

## Function Documentation

FT_BEGIN_HEADER otv_BASE_validate | ( | FT_Bytes | table,
|  | FT_Validator | valid
| ) |  |

Definition at line 280 of file otvbase.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_TRACE3, FT_TRACE4, otv_Axis_validate(), OTV_INIT, OTV_LIMIT_CHECK, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, and OTV_SIZE_CHECK.

Referenced by otv_validate().

otv_GDEF_validate | ( | FT_Bytes | table,
|  | FT_Bytes | gsub,
|  | FT_Bytes | gpos,
|  | FT_UInt | glyph_count,
|  | FT_Validator | valid
| ) |  |

Definition at line 147 of file otvgdef.c.

References FT_Bool, FT_BOOL, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_TRACE3, FT_TRACE4, otv_ClassDef_validate(), otv_GSUBGPOS_have_MarkAttachmentType_flag(), OTV_INIT, OTV_LIMIT_CHECK, OTV_NEST2, OTV_NEST3, OTV_OPTIONAL_OFFSET, OTV_OPTIONAL_TABLE, OTV_RUN, and OTV_SIZE_CHECK.

Referenced by otv_validate().

otv_GPOS_validate | ( | FT_Bytes | table,
|  | FT_UInt | glyph_count,
|  | FT_Validator | valid
| ) |  |

Definition at line 978 of file otvgpos.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, otv_FeatureList_validate(), otv_gpos_validate_funcs, OTV_INIT, OTV_LIMIT_CHECK, otv_LookupList_validate(), and otv_ScriptList_validate().

Referenced by otv_validate().

otv_GSUB_validate | ( | FT_Bytes | table,
|  | FT_UInt | glyph_count,
|  | FT_Validator | valid
| ) |  |

Definition at line 546 of file otvgsub.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, otv_FeatureList_validate(), otv_gsub_validate_funcs, OTV_INIT, OTV_LIMIT_CHECK, otv_LookupList_validate(), and otv_ScriptList_validate().

Referenced by otv_validate().

otv_JSTF_validate | ( | FT_Bytes | table,
|  | FT_Bytes | gsub,
|  | FT_Bytes | gpos,
|  | FT_UInt | glyph_count,
|  | FT_Validator | valid
| ) |  |

Definition at line 205 of file otvjstf.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, otv_GSUBGPOS_get_Lookup_count(), OTV_INIT, otv_JstfScript_validate(), and OTV_LIMIT_CHECK.

Referenced by otv_validate().

otv_MATH_validate | ( | FT_Bytes | table,
|  | FT_UInt | glyph_count,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 416 of file otvmath.c.

References FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, OTV_INIT, OTV_LIMIT_CHECK, otv_MathConstants_validate(), otv_MathGlyphInfo_validate(), and otv_MathVariants_validate().

Referenced by otv_validate().